%define upstream_name    HTML-TreeBuilder-XPath
%define upstream_version 0.14

%global __provides_exclude perl\\(HTML::Element\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Add XPath support to HTML::TreeBuilder
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTML::TreeBuilder)
BuildRequires: perl(List::Util)
BuildRequires: perl(XML::XPathEngine) >= 0.120.0
BuildArch:  noarch

%description
This module adds typical XPath methods to HTML::TreeBuilder, to make it
easy to query a document.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.140.0-10.mga9
+ Revision: 1804028
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.140.0-9.mga8
+ Revision: 1494958
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.140.0-8.mga7
+ Revision: 1268510
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.140.0-7.mga6
+ Revision: 1028413
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 0.140.0-6.mga6
+ Revision: 936252
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.140.0-5.mga5
+ Revision: 747661
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.140.0-4.mga5
+ Revision: 684984
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Fri Oct 18 2013 umeabot <umeabot> 0.140.0-3.mga4
+ Revision: 512089
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.140.0-2.mga3
+ Revision: 368215
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 14 2011 jquelin <jquelin> 0.140.0-1.mga2
+ Revision: 154777
- update to 0.14

* Wed Jun 22 2011 jquelin <jquelin> 0.130.0-1.mga2
+ Revision: 112203
- update to 0.13

* Mon Apr 11 2011 jquelin <jquelin> 0.120.0-3.mga1
+ Revision: 83407
- remove bogus provides:

* Sat Jan 22 2011 jquelin <jquelin> 0.120.0-2.mga1
+ Revision: 32075
- mageia rebuild
- imported package perl-HTML-TreeBuilder-XPath


* Sat Dec 04 2010 Shlomi Fish <shlomif@mandriva.org> 0.120.0-2mdv2011.0
+ Revision: 609572
- Specified the Requires explicitly

* Fri Dec 03 2010 Shlomi Fish <shlomif@mandriva.org> 0.120.0-1mdv2011.0
+ Revision: 607286
- import perl-HTML-TreeBuilder-XPath

